RelayAPI

Apply one lifecycle-safe operator resolution

POST
/v1/admin/operator-resolutions/{targetType}/{targetId}
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Path Parameters

targetType*string

Value in

  • "automation_effect"
  • "automation_binding"
  • "automation_conversion_event"
  • "stripe_event"
  • "billing_operation"
  • "tenant_erasure_job"
  • "workspace_erasure_job"
  • "account_revocation_job"
  • "external_subject_cleanup_job"
  • "short_link_creation"
  • "customer_webhook_delivery"
  • "tool_job"
  • "whatsapp_phone_provisioning_operation"
  • "whatsapp_phone_release_operation"
  • "whatsapp_phone_billing_operation"
  • "ad_creation_operation"
  • "ad_mutation_operation"
targetId*string
Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/admin/operator-resolutions/automation_effect/string" \  -H "Content-Type: application/json" \  -d '{    "action": "mark_succeeded",    "reason": "string"  }'
{  "evidence": {    "action": "mark_succeeded",    "actorUserId": "string",    "afterState": {      "property1": "string",      "property2": "string"    },    "beforeState": {      "property1": "string",      "property2": "string"    },    "id": "string",    "organizationId": "string",    "reason": "string",    "reasonCode": "operator_asserted_succeeded",    "reasonDigest": "string",    "resolvedAt": "2019-08-24T14:15:22Z",    "targetId": "string",    "targetType": "automation_effect",    "targetUpdatedAtAfter": "2019-08-24T14:15:22Z",    "targetUpdatedAtBefore": "2019-08-24T14:15:22Z"  }}

Found something wrong? Help us improve this page.